This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 510166 - Can't append search domains using /etc/dhclient.conf
Can't append search domains using /etc/dhclient.conf
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-07 21:38 EDT by Kevin Constantine
Modified: 2009-07-08 16:47 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 16:47:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Constantine 2009-07-07 21:38:33 EDT
Description of problem:
In /etc/dhclient.conf I have both
append domain-name " my.domain.com"
append domain-search " my.domain.com"

Neither of these domains actually get appended to /etc/resolv.conf.  I'm not sure if there's a more NetworkManager-centric way to get these appended, or if NetworkManager should be calling /etc/dhclient-script to handle this kind of situation.
Comment 1 Kevin Constantine 2009-07-08 16:47:19 EDT
The behaviour of dhclient has changed which is causing this symptom.  In the past, domain-name was used to set domain-search.  Now there's a separate option for that.  

Closing Notabug.

Note You need to log in before you can comment on or make changes to this bug.